### Method

# Xdp Portal dynamic_launcher_get_desktop_entry

#### Declaration [src]

    char*
    xdp_portal_dynamic_launcher_get_desktop_entry (
      XdpPortal* portal,
      const char* desktop_file_id,
      GError** error
    )

#### Description [src]

This function gets the contents of a .desktop file that was previously installed by the dynamic launcher portal.

The `desktop_file_id` must be prefixed with the caller’s app ID followed by a “.” and suffixed with “.desktop”.

#### Parameters

`desktop_file_id` | `const char*`
| The .desktop file name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `char*`
| The contents of the desktop file, or `NULL` with `error` set.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.